> ## Documentation Index
> Fetch the complete documentation index at: https://developer.surefeedback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List mockups

> Get all mockups for a project.

Returns all mockups for a project, including version history.

<Note>
  Requires authentication via `X-API-Key: sf_your_api_key_here`.
</Note>

## Query parameters

<ParamField query="project_id" type="string" required>
  UUID of the project.
</ParamField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "110e8400-e29b-41d4-a716-44665544000b",
        "name": "Homepage Design v1",
        "file_type": "image",
        "file_url": "https://...",
        "project_id": "770e8400-e29b-41d4-a716-446655440002",
        "versions": [],
        "created_at": "2026-02-01T00:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>
